<template>
  <div>
    <!-- <div class="my-5 mx-5 sm:mx:10 md:mx-20 lg:mx-30 justify-center bg-gray-300 rounded-xl">
      <div class="p-3 flex justify-center">

      <h1 class="">Fichas en Linea</h1>
      </div>
      <div class="p-3">
        <div v-for="medico in medicos" :key="medico.id">
          <div class="flex justify-between my-2 items-center text-left">
            <p class="w-1/4 items-center">{{ medico.nombre }}</p>
            <p class="w-1/4">{{ medico.apellido }}</p>
            <p class="w-1/4">{{ medico.especialidad }}</p>
            <ModalFicha :medico="medico" />
          </div>
        </div>
      </div>
    </div> -->
    <div class="md:flex-1 px-4 py-8 md:p-12 md:overflow-y-auto">
    <h1 class="mb-8 font-bold text-3xl">Fichas en linea</h1>
    <div class="bg-white rounded-md shadow overflow-x-auto">
      <table class="w-full whitespace-nowrap">
        <tr class="text-left font-bold">
          <th class="px-6 pt-6 pb-4">Nombre</th>
          <th class="px-6 pt-6 pb-4">Apellido</th>
          <th class="px-6 pt-6 pb-4">Especialidad</th>
          <th class="px-6 pt-6 pb-4" colspan="2">Fichas</th>
        </tr>
        <tr v-for="medico in medicos" :key="medico.id" class="hover:bg-gray-100 focus-within:bg-gray-100">
          <td class="border-t">
            <a href="#" class="px-6 py-4 flex items-center">{{medico.nombre}}</a>
          </td>
          <td class="border-t">
            <a href="#" class="px-6 py-4 flex items-center">{{medico.apellido}}</a>
          </td>
          <td class="border-t">
            <a href="#" class="px-6 py-4 flex items-center">{{medico.especialidad}}</a>
          </td>
          <td class="border-t w-px">
            <inertia-link :href="route('medicos', medico)">hola</inertia-link>
          </td>
        </tr>
        <tr v-if="medicos.length === 0">
          <td class="border-t px-6 py-4" colspan="4">No contacts found.</td>
        </tr>
      </table>
    </div>
    </div>
    <!-- Modal Portal -->
    <portal-target name="modal" multiple>
      </portal-target>
  </div>
</template>

<script>
import Layout from '@/Layouts/Layout'
import Button from '../Jetstream/Button.vue'
import ModalFicha from '../Componentes/ModalFicha.vue'
export default {
  components: { Button, ModalFicha },
  layout: Layout,
  props: {
    medicos: Array,
  },
}
</script>

<style>

</style>